<template>
  <div id="home">
    <div>
      个人中心
    </div>
    <div class="loading">
      <div class="loadingCon">
        <img src="../assets/loading.gif">
      </div>
    </div>
    <navigation :is-x="isX" :apply-status="applyStatus" :tool-status="toolStatus" :mine-status="mineStatus"></navigation>
  </div>
</template>
<script>
import navigation from '../components/navigaton/navigation.vue'
import request from '../utils/request'
export default {
  data() {
    return{
      isX: false,
      applyStatus: false,
      toolStatus: false,
      mineStatus: true,
    }
  },
  components: {
    navigation
  },
  mounted() {
      var u = navigator.userAgent, app = navigator.appVersion;
      var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
      if (isiOS) {
        var w=window.screen.width * window.devicePixelRatio;
        var h=window.screen.height * window.devicePixelRatio;
        if(w==1125&&h==2436){
          this.isX = true;
        }
      }
    // request({
    //   url: '/api/index',
    //   method: 'get',
    // }).then(response => {
    // })
  },
  methods: {
  }
}
</script>
<style lang="scss">
  #home{
    height: 100%;
  }
</style>